<?
@/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
class backOffice
{
	  var $tabla="";
	  var $excluye="";
	  var $salida=array();
	  var $siguienteId="";
	  var $mostrarDato=array();
	  var $Ultimo_Id=0;
 
	function redirecciona($url)
	{
		echo '<script languaje="javascript">location.href=\''.$url.'\';</script>';
	}

	function cortarTexto($str,$n,$delim) 
	{	
	 $len = strlen($str);
	 if ($len > $n) 
	  {
	   preg_match('/(.{' . $n . '}.*?)b/', $str, $matches);
	   return rtrim($matches[1]) . $delim;
	  }
	 else
	  {return $str;}
	}

	 function cortaCadena($cadena,$longitud)
	 {
       $texto=substr($cadena,0,$longitud);
	   return $texto;
	 }
	 
	function describeTabla($tabla, $excluye="")
	{
		$this->tabla=$tabla;
		$this->excluye=$excluye;
		$salida		=	array();
		$qDescribe	=	"DESCRIBE $tabla";
		$rDescribe	=	mysql_query($qDescribe) OR die("<p>$rDescribe</p><p>".mysql_error()."</p>");
	
		while(	$dDescribe	=	mysql_fetch_row($rDescribe)	)
		{
			if( (is_array($excluye) && !in_array($dDescribe[0],$excluye)) || (!is_array($excluye) && $excluye != $dDescribe[0]) )
				$salida[]	=	$dDescribe[0];
		}
		$this->salida= $salida;
	}
	
	function manipulaDatos($tabla, $indice,$datos,$valorIndice=0,$url,$excluye="")
	{
		$this->describeTabla($tabla,$excluye);
		$query			=	"";
		foreach($this->salida as $clave)
		 if(!empty($datos[$clave]))
			$query		.=	(($query=="")?"":",")."$clave='".$datos[$clave]."'"; echo"<br>";
	    if($valorIndice!=0)
		   $query="UPDATE $tabla SET ".$query." WHERE ($indice='".$datos[$indice]."')";
		else
		   $query="INSERT INTO $tabla SET $query"; echo"<br>";

		   $res_query=mysql_query($query) OR die("<p>$query</p><p>".mysql_error()."</p>");
		
		$this->Ultimo_Id=mysql_insert_id();		
			 
		if ($tabla=="comite")
           $this->gestorCarpetaContador($tabla,$indice,$accion=true,0,0);
 
  	}
	
	function eliminarRegistro($tabla,$indice,$valor)
	{
		$q_eliminar	=	"DELETE FROM $tabla WHERE ($indice='".$valor."') LIMIT 1";
		$r_eliminar	=	mysql_query($q_eliminar) OR die("<p>$q_eliminar</p><p>".mysql_error()."</p>");	
	}
	
	function mostrarRegistro($tabla,$indice,$valor)
	{
		$query_dato	=	"SELECT * FROM $tabla WHERE ($indice='".$valor."')";
		$res_dato	=	mysql_query($query_dato) OR die("<p>$query_dato</p><p>".mysql_error()."</p>");
		$this->mostrarDato		=	mysql_fetch_assoc($res_dato);
	}
	
	function alert($mensaje)
	{
		echo '<script languaje="javascript">alert(\''.$mensaje.'\');</script>';
	}
	
	function enviarMail($data,$contenido)
	{ 	
		$cabeceras  = 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
		$cabeceras .= 'To: Ejecutivo<'.$data['toEmail'].'> '. "\r\n";		
	    //$cabeceras .= 'From: '.utf8_decode("Pedidos bell").'<info@bell.com.mx>' . "\r\n";
		
		//mail($data['toEmail'],$data['asunto'],$contenido,$cabeceras);
		mail($data['toEmail'],$data['asunto'],$contenido,$cabeceras);
	}
	
	function enviarBoletin($data)
	{
			// Abro el archivo
			$fh = fopen($data['archivo'], 'r');
			$html = fread($fh, filesize($data['archivo']));
			$contenido=str_replace($data['reemplazar'],$data['reemplazo'],$html);	
			$this->enviarMail($data,$contenido);							
	}
	 
	 
	 function fecha($fecha,$separador="/")
	 {
	 	$fecha=explode("-",$fecha);
		return $fecha[2].$separador.$fecha[1].$separador.$fecha[0];
	 }
	 

}
?>